org.wildfly.swarm.config.elytron

## Class JDBCRealm<T extends JDBCRealm<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.JDBCRealm<T>

-     public class JDBCRealm<T extends JDBCRealm<T>>
      extends Object

  A security realm definition backed by database using JDBC.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCRealm(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `List<Map>` | `principalQuery()` The authentication query used to authenticate users based on specific key types.
    `T` | `principalQuery(List<Map> value)` The authentication query used to authenticate users based on specific key types.
    `T` | `principalQuery(Map... args)` The authentication query used to authenticate users based on specific key types.
    `T` | `principalQuery(Map value)` The authentication query used to authenticate users based on specific key types.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCRealm

          public JDBCRealm(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### principalQuery

          public List<Map> principalQuery()

      The authentication query used to authenticate users based on specific key types.

    - #### principalQuery

          public T principalQuery(List<Map> value)

      The authentication query used to authenticate users based on specific key types.

    - #### principalQuery

          public T principalQuery(Map value)

      The authentication query used to authenticate users based on specific key types.

    - #### principalQuery

          public T principalQuery(Map... args)

      The authentication query used to authenticate users based on specific key types.

Copyright © 2017 JBoss by Red Hat. All rights reserved.